<?php
/**
 * Copyright © 2013-2017 Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace GlobalOnePay\Payment\Model\Source;

use Magento\Framework\Option\ArrayInterface;

/**
 *
 * GlobalOnePay TPS Payment Action Dropdown source
 */
class PaymentAction implements ArrayInterface
{
    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::ACTION_AUTHORIZE,
                'label' => __('Authorize Only'),
            ],
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::ACTION_AUTHORIZE_CAPTURE,
                'label' => __('Authorize and Capture')
            ]
        ];
    }
}
